Package de.willuhn.jameica.hbci.gui.dialogs

# Class ExportDialog.ExportFormat

java.lang.Object
de.willuhn.jameica.hbci.gui.dialogs.ExportDialog.ExportFormat

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `Comparable<ExportDialog.ExportFormat>`, `Remote`

Enclosing class:
  `ExportDialog`

public static class ExportDialog.ExportFormat extends Object implements de.willuhn.datasource.GenericObject, Comparable<ExportDialog.ExportFormat>
Hilfsklasse zur Anzeige der Exporter.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ExportDialog.ExportFormat other)`
`boolean`
`equals(de.willuhn.datasource.GenericObject arg0)`
`Object`
`getAttribute(String arg0)`
`String[]`
`getAttributeNames()`
`Exporter`
`getExporter()`
Liefert den zugehoerigen Exporter.
`String`
`getID()`
`String`
`getPrimaryAttribute()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`

### getAttributeNames

public String[] getAttributeNames() throws RemoteException

Specified by:
  `getAttributeNames` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`

### getID

public String getID() throws RemoteException

Specified by:
  `getID` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`

### equals

public boolean equals(de.willuhn.datasource.GenericObject arg0) throws RemoteException

Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`

### getExporter

public Exporter getExporter()
Liefert den zugehoerigen Exporter.

Returns:
  der zugehoerige Exporter.

### compareTo

public int compareTo(ExportDialog.ExportFormat other)

Specified by:
  `compareTo` in interface `Comparable<ExportDialog.ExportFormat>`